pskc_get_key_data_time(3)

NAME
pskc_get_key_data_time - API function

SYNOPSIS
#include <pskc.h>

uint32_t pskc_get_key_data_time(pskc_key_t * key, int * present);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

int * present
    output variable indicating whether data was provided or not.

DESCRIPTION
Get the PSKC KeyPackage Key Data Time value. This element contains the time for time-based OTP algorithms. (If time intervals are used, this element carries the number of time intervals passed from a specific start point, normally it is algorithm dependent). If present is non-NULL, it will be 0 if the field is not present or 1 if it was present.

RETURNS
an integer holding the content.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.